commit:     081ed48966d414377cdc12c7be8b5d1a0becf56d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 13 14:38:35 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 19:00:39 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=081ed489

app-containers/devcontainer: bump to 0.77.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/devcontainer/Manifest               |  1 +
 .../devcontainer/devcontainer-0.77.0.ebuild        | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-containers/devcontainer/Manifest 
b/app-containers/devcontainer/Manifest
index 04ea6903f066..8369503a197b 100644
--- a/app-containers/devcontainer/Manifest
+++ b/app-containers/devcontainer/Manifest
@@ -1 +1,2 @@
 DIST devcontainer-0.76.0.tgz 612117 BLAKE2B 
5259b39da32b45a64e428c1db6e4fe79af5ec5cb0c722b2f1221e0e3d2ca77e997af558bc847ec6995e69d4e14374c8daa127f274bb4cf12ec589f2437009161
 SHA512 
2de5c099db8f7e9af7746a7b03ae77e9af5daea50ec6be6a27de9e17f6e75607891daa4514f3f400199c66517f802347c004c8876f41d1fdeb19926980b546fe
+DIST devcontainer-0.77.0.tgz 612251 BLAKE2B 
d3fb355b4cc83a5b2d39aa6e2d656f543012354b32242042710fc775c21d86f57e386e94971b723ed9d8a9cb921fafea18aed0f0902c4f307421990d814b58c4
 SHA512 
a89f62ed05fa6654c1ecfd696cf0664f3a95d466147ccf5e3b4ecdb4f43153636768134255adb387db00578ced0c42d938d3604072e1bc506fd66f676dd9859b

diff --git a/app-containers/devcontainer/devcontainer-0.77.0.ebuild 
b/app-containers/devcontainer/devcontainer-0.77.0.ebuild
new file mode 100644
index 000000000000..7c2b19d5ebf0
--- /dev/null
+++ b/app-containers/devcontainer/devcontainer-0.77.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Reference implementation of the Development Containers 
specification"
+HOMEPAGE="https://containers.dev/
+       https://github.com/devcontainers/cli/";
+SRC_URI="https://registry.npmjs.org/@devcontainers/cli/-/cli-${PV}.tgz
+       -> ${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       net-libs/nodejs
+"
+BDEPEND="
+       >=net-libs/nodejs-16[npm]
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+       # Skip, nothing to compile here.
+       :
+}
+
+src_install() {
+       local -a my_npm_opts=(
+               --audit false
+               --color false
+               --foreground-scripts
+               --global
+               --offline
+               --omit dev
+               --prefix "${ED}/usr"
+               --progress false
+               --verbose
+       )
+       npm "${my_npm_opts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm 
install failed"
+
+       einstalldocs
+}

Reply via email to